import 'package:flutter/material.dart';

import 'package:pshared/models/payment/type.dart';


IconData iconForPaymentType(PaymentType type) {
  switch (type) {
    case PaymentType.bankAccount:
      return Icons.account_balance;
    case PaymentType.iban:
      return Icons.language;
    case PaymentType.wallet:
      return Icons.account_balance_wallet;
    case PaymentType.card:
      return Icons.credit_card;
    case PaymentType.externalChain:
      return Icons.currency_bitcoin;
    //TODO: define new payment methods
    default:
      return Icons.question_mark;
  }
}
